.blog-post{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	height: 100%;
	width: 100%;
	padding: 24px;
}

.post-box{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	height: 100%;
	width: 1200px;
}

.post-thumbnail {
    width: 100%;
    height: 400px;
    display: inline-block;
	margin: 24px 0 48px;
}

.post-thumbnail img{
    width: 100%;
    height: 100%;
    object-fit: cover;
	object-position: center center;
	border-radius: 24px;
}

.post-title {
    font-family: var(--roboto);
    font-weight: 700;
    font-size: 42px;
    line-height: 100%;
    letter-spacing: 0%;
    color: var(--black);
}

.post-content {
    font-family: var(--roboto);
    font-weight: 400;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0%;
    color: #5A5855;
	width: 100%;
}

/** **/


.post-content {
    font-size: 1.1rem;
    line-height: 1.6;
}

.post-content p {
    margin-bottom: 1.5rem;
}

.post-content ul {
    list-style: none;
    padding-left: 0;
    margin-bottom: 2rem;
}

.post-content ul li {
    position: relative;
    padding-left: 20px;
    margin-bottom: 8px;
}

.post-content ul li::before {
    content: "•";
    position: absolute;
    left: 0;
    font-weight: bold;
}

.post-content img {
    max-width: 100%;
    height: auto;
    border-radius: 8px;
    margin: 20px 0;
}

/** **/

.posts-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(1, 1fr);
    gap: 24px;
}

.posts-grid .post-card{
	width: auto;
	gap: 0;
}

.posts-grid .post-card .post-card-content{
	padding: 16px 16px 24px;
}

.posts-grid .post-card  .post-card-title{
	font-size: 20px;
	margin: 0 0 12px ;
}


.posts-grid .post-card .post-card-excerpt p{
	font-size: 16px;
}

@media(max-width: 768px){
	
	.blog-post{
		padding: 12px 16px;
	}
	
	.post-box{
		width: 100%;
	}
	
	.post-thumbnail {
		height: 250px;
		margin: 24px 0;
	}
	
	.post-title{
		font-size: 32px;
	}
	
	.post-content {
		font-size: 18px;
		line-height: 125%;
		width:100%;
	}
	
	.post-section .post-box > * {
		padding: 0 16px;
	}
	
	.post-section .posts-grid{
		grid-template-columns: repeat(1, 1fr);
	}
	
}
